### Enumeration

# Gimp LayerCompositeMode

unstable since: 3.0

#### Declaration

    enum Gimp.LayerCompositeMode

#### Description [src]

Extracted from app/operations/operations-enums.h.

Available since: 3.0

#### Members

`GIMP_LAYER_COMPOSITE_AUTO`

  GIMP_LAYER_COMPOSITE_AUTO.

  - Value: `0`
  - Nickname: `auto`
  - Available since: 3.0
`GIMP_LAYER_COMPOSITE_UNION`

  GIMP_LAYER_COMPOSITE_UNION.

  - Value: `1`
  - Nickname: `union`
  - Available since: 3.0
`GIMP_LAYER_COMPOSITE_CLIP_TO_BACKDROP`

  GIMP_LAYER_COMPOSITE_CLIP_TO_BACKDROP.

  - Value: `2`
  - Nickname: `clip-to-backdrop`
  - Available since: 3.0
`GIMP_LAYER_COMPOSITE_CLIP_TO_LAYER`

  GIMP_LAYER_COMPOSITE_CLIP_TO_LAYER.

  - Value: `3`
  - Nickname: `clip-to-layer`
  - Available since: 3.0
`GIMP_LAYER_COMPOSITE_INTERSECTION`

  GIMP_LAYER_COMPOSITE_INTERSECTION.

  - Value: `4`
  - Nickname: `intersection`
  - Available since: 3.0